/*
 * Copyright (c) 2005 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_OSREFERENCE_LICENSE_HEADER_START@
 *
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. The rights granted to you under the License
 * may not be used to create, or enable the creation or redistribution of,
 * unlawful or unlicensed copies of an Apple operating system, or to
 * circumvent, violate, or enable the circumvention or violation of, any
 * terms of an Apple operating system software license agreement.
 *
 * Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this file.
 *
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 *
 * @APPLE_OSREFERENCE_LICENSE_HEADER_END@
 */
#ifndef _I386_HW_DEFS_H_
#define _I386_HW_DEFS_H_


#define pmMwaitC1       0x00
#define pmMwaitC2       0x10
#define pmMwaitC3       0x20
#define pmMwaitC4       0x30
#define pmMwaitBrInt 0x1

#define pmBase          0x400
#define pmCtl1          0x04
#define pmCtl2          0x20
#define pmC3Res         0x54
#define pmStatus        0x00
#define msrTSC          0x10

#define cfgAdr          0xCF8
#define cfgDat          0xCFC

#define XeonCapID5      (0x80000000 | (1 << 16) | (30 << 11) | (3 << 8) | 0x98)

#endif /* _I386_HW_DEFS_H_ */
